
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

@SuppressWarnings("unused")
public class PowerTelemetryData {

    @SerializedName("AccumulatedAdapterEfficiencyLoss")
    private Long accumulatedAdapterEfficiencyLoss;
    @SerializedName("AccumulatedBatteryPower")
    private Long accumulatedBatteryPower;
    @SerializedName("AccumulatedSystemEnergyConsumed")
    private Long accumulatedSystemEnergyConsumed;
    @SerializedName("AccumulatedSystemLoad")
    private Long accumulatedSystemLoad;
    @SerializedName("AccumulatedSystemPowerIn")
    private Long accumulatedSystemPowerIn;
    @SerializedName("AccumulatedWallEnergyEstimate")
    private Long accumulatedWallEnergyEstimate;
    @SerializedName("AdapterEfficiencyLoss")
    private Long adapterEfficiencyLoss;
    @SerializedName("AdapterEfficiencyLossAccumulatorCount")
    private Long adapterEfficiencyLossAccumulatorCount;
    @SerializedName("BatteryPower")
    private Long batteryPower;
    @SerializedName("PowerTelemetryErrorCount")
    private Long powerTelemetryErrorCount;
    @SerializedName("SystemCurrentIn")
    private Long systemCurrentIn;
    @SerializedName("SystemEnergyConsumed")
    private Long systemEnergyConsumed;
    @SerializedName("SystemLoad")
    private Long systemLoad;
    @SerializedName("SystemLoadAccumulatorCount")
    private Long systemLoadAccumulatorCount;
    @SerializedName("SystemPowerIn")
    private Long systemPowerIn;
    @SerializedName("SystemPowerInAccumulatorCount")
    private Long systemPowerInAccumulatorCount;
    @SerializedName("SystemVoltageIn")
    private Long systemVoltageIn;
    @SerializedName("WallEnergyEstimate")
    private Long wallEnergyEstimate;

    public Long getAccumulatedAdapterEfficiencyLoss() {
        return accumulatedAdapterEfficiencyLoss;
    }

    public void setAccumulatedAdapterEfficiencyLoss(Long accumulatedAdapterEfficiencyLoss) {
        this.accumulatedAdapterEfficiencyLoss = accumulatedAdapterEfficiencyLoss;
    }

    public Long getAccumulatedBatteryPower() {
        return accumulatedBatteryPower;
    }

    public void setAccumulatedBatteryPower(Long accumulatedBatteryPower) {
        this.accumulatedBatteryPower = accumulatedBatteryPower;
    }

    public Long getAccumulatedSystemEnergyConsumed() {
        return accumulatedSystemEnergyConsumed;
    }

    public void setAccumulatedSystemEnergyConsumed(Long accumulatedSystemEnergyConsumed) {
        this.accumulatedSystemEnergyConsumed = accumulatedSystemEnergyConsumed;
    }

    public Long getAccumulatedSystemLoad() {
        return accumulatedSystemLoad;
    }

    public void setAccumulatedSystemLoad(Long accumulatedSystemLoad) {
        this.accumulatedSystemLoad = accumulatedSystemLoad;
    }

    public Long getAccumulatedSystemPowerIn() {
        return accumulatedSystemPowerIn;
    }

    public void setAccumulatedSystemPowerIn(Long accumulatedSystemPowerIn) {
        this.accumulatedSystemPowerIn = accumulatedSystemPowerIn;
    }

    public Long getAccumulatedWallEnergyEstimate() {
        return accumulatedWallEnergyEstimate;
    }

    public void setAccumulatedWallEnergyEstimate(Long accumulatedWallEnergyEstimate) {
        this.accumulatedWallEnergyEstimate = accumulatedWallEnergyEstimate;
    }

    public Long getAdapterEfficiencyLoss() {
        return adapterEfficiencyLoss;
    }

    public void setAdapterEfficiencyLoss(Long adapterEfficiencyLoss) {
        this.adapterEfficiencyLoss = adapterEfficiencyLoss;
    }

    public Long getAdapterEfficiencyLossAccumulatorCount() {
        return adapterEfficiencyLossAccumulatorCount;
    }

    public void setAdapterEfficiencyLossAccumulatorCount(Long adapterEfficiencyLossAccumulatorCount) {
        this.adapterEfficiencyLossAccumulatorCount = adapterEfficiencyLossAccumulatorCount;
    }

    public Long getBatteryPower() {
        return batteryPower;
    }

    public void setBatteryPower(Long batteryPower) {
        this.batteryPower = batteryPower;
    }

    public Long getPowerTelemetryErrorCount() {
        return powerTelemetryErrorCount;
    }

    public void setPowerTelemetryErrorCount(Long powerTelemetryErrorCount) {
        this.powerTelemetryErrorCount = powerTelemetryErrorCount;
    }

    public Long getSystemCurrentIn() {
        return systemCurrentIn;
    }

    public void setSystemCurrentIn(Long systemCurrentIn) {
        this.systemCurrentIn = systemCurrentIn;
    }

    public Long getSystemEnergyConsumed() {
        return systemEnergyConsumed;
    }

    public void setSystemEnergyConsumed(Long systemEnergyConsumed) {
        this.systemEnergyConsumed = systemEnergyConsumed;
    }

    public Long getSystemLoad() {
        return systemLoad;
    }

    public void setSystemLoad(Long systemLoad) {
        this.systemLoad = systemLoad;
    }

    public Long getSystemLoadAccumulatorCount() {
        return systemLoadAccumulatorCount;
    }

    public void setSystemLoadAccumulatorCount(Long systemLoadAccumulatorCount) {
        this.systemLoadAccumulatorCount = systemLoadAccumulatorCount;
    }

    public Long getSystemPowerIn() {
        return systemPowerIn;
    }

    public void setSystemPowerIn(Long systemPowerIn) {
        this.systemPowerIn = systemPowerIn;
    }

    public Long getSystemPowerInAccumulatorCount() {
        return systemPowerInAccumulatorCount;
    }

    public void setSystemPowerInAccumulatorCount(Long systemPowerInAccumulatorCount) {
        this.systemPowerInAccumulatorCount = systemPowerInAccumulatorCount;
    }

    public Long getSystemVoltageIn() {
        return systemVoltageIn;
    }

    public void setSystemVoltageIn(Long systemVoltageIn) {
        this.systemVoltageIn = systemVoltageIn;
    }

    public Long getWallEnergyEstimate() {
        return wallEnergyEstimate;
    }

    public void setWallEnergyEstimate(Long wallEnergyEstimate) {
        this.wallEnergyEstimate = wallEnergyEstimate;
    }

}
